#include "math_coord.h"
#include "math_defs.h"
#include "math_vector3D.h"

#include <math.h>

void GetSphericalCoords(float theta, float phi, float radius, vector3D &v)
{
	v.x = radius * cos(theta/(float)D2R) * sin(phi/(float)D2R);
	v.z = radius * sin(theta/(float)D2R) * sin(phi/(float)D2R);
	v.y = radius * cos(phi/(float)D2R);
}